Rated 1 out of 5 stars

not even a try if not support ff3. pls!

This review is for a previous version of the add-on (1.6.5).